services:
  hugoifier:
    build: .
    environment:
      - ANTHROPIC_API_KEY=${ANTHROPIC_API_KEY}
      - OPENAI_API_KEY=${OPENAI_API_KEY}
      - GOOGLE_API_KEY=${GOOGLE_API_KEY}
      - HUGOIFIER_BACKEND=${HUGOIFIER_BACKEND:-anthropic}
    volumes:
      - ./themes:/app/themes
      - ./output:/app/output
    command: python src/cli.py complete themes/
